### Method

# GLib Node find_child

#### Declaration

    GNode*
    g_node_find_child (
      GNode* node,
      GTraverseFlags flags,
      gpointer data
    )

#### Description

Finds the first child of a `GNode` with the given data.

This method is not directly available to language bindings.

#### Parameters

`flags`

  Type: `GTraverseFlags`

  Which types of children are to be searched, one of `G_TRAVERSE_ALL`, `G_TRAVERSE_LEAVES` and `G_TRAVERSE_NON_LEAVES`.

`data`

  Type: `gpointer`

  The data to find.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

#### Return value

Type: `GNode`

The found child `GNode`, or `NULL` if the data is not found.

The returned data is owned by the instance.